<div
  class="overlay"
  (click)="show = false"
  [ngClass]="{ 'overlay--show': show }"
></div>
<div class="dropdown">
  <header class="dropdown__header" (click)="show = !show">
    <p class="dropdown__header__label highlight-disabled">
      Filter<span class="dropdown__header__label__extra"> by status </span>
    </p>
    <div
      class="dropdown__header__icon-wrapper"
      [ngClass]="{ 'dropdown__header__icon-wrapper--rotate': show }"
    >
      <app-icon-chevron></app-icon-chevron>
    </div>
  </header>
  <div
    class="dropdown__options"
    [ngClass]="{ 'dropdown__options--show': show }"
  >
    <div
      class="dropdown__options__option highlight-disabled"
      *ngFor="let option of options; let i = index"
      (click)="onOptionClick(i)"
    >
      <div
        class="dropdown__options__option__checkbox"
        [ngClass]="{
          'dropdown__options__option__checkbox--checked': option.isChecked
        }"
      >
        <div
          class="dropdown__options__option__checkbox__icon"
          [ngClass]="
            option.isChecked
              ? 'dropdown__options__option__checkbox__icon--checked'
              : 'dropdown__options__option__checkbox__icon--unchecked'
          "
        >
          <svg
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke="currentColor"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M5 13l4 4L19 7"
            />
          </svg>
        </div>
      </div>
      <p class="dropdown__options__option__text">{{ option.label }}</p>
    </div>
  </div>
</div>
